/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_VIEW_COMMON_H)
#define _VIEW_COMMON_H

#include <Elementary.h>
#include <system_info.h>
#include "$(appName).h"
#include "view_common.h"
#include "data.h"

#define MAX_STR 128

bool view_create_subview(Evas_Object *parent, const char *caption, int items_count, Elm_Genlist_Item_Text_Get_Cb on_text_get_cb);
bool view_create_subview_group(int index_start, int items_count, Elm_Genlist_Item_Text_Get_Cb on_text_get_cb);
void view_camera_list_cb(void *data, Evas_Object *obj, void *event_info);
void view_input_list_cb(void *data, Evas_Object *obj, void *event_info);
void view_location_list_cb(void *data, Evas_Object *obj, void *event_info);
void view_network_list_cb(void *data, Evas_Object *obj, void *event_info);
void view_opengl_list_cb(void *data, Evas_Object *obj, void *event_info);
void view_platform_list_cb(void *data, Evas_Object *obj, void *event_info);
void view_screen_list_cb(void *data, Evas_Object *obj, void *event_info);
void view_sensors_list_cb(void *data, Evas_Object *obj, void *event_info);
void view_speech_list_cb(void *data, Evas_Object *obj, void *event_info);
void view_system_list_cb(void *data, Evas_Object *obj, void *event_info);
void view_usb_list_cb(void *data, Evas_Object *obj, void *event_info);
void view_vision_list_cb(void *data, Evas_Object *obj, void *event_info);
void view_others_list_cb(void *data, Evas_Object *obj, void *event_info);

#endif
